Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
79.167.0.0
Broadcast address
79.167.127.255
First usable
79.167.0.1
Last usable
79.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 4FA70000 · Integer 1336344576 to 1336377343
Reverse DNS zones
0.167.79.in-addr.arpa
1.167.79.in-addr.arpa
2.167.79.in-addr.arpa
3.167.79.in-addr.arpa
4.167.79.in-addr.arpa
5.167.79.in-addr.arpa
6.167.79.in-addr.arpa
7.167.79.in-addr.arpa
8.167.79.in-addr.arpa
9.167.79.in-addr.arpa
10.167.79.in-addr.arpa
11.167.79.in-addr.arpa
12.167.79.in-addr.arpa
13.167.79.in-addr.arpa
14.167.79.in-addr.arpa
15.167.79.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.10100111.00000000.0000000079.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01001111.10100111.00000000.0000000079.167.0.0
Broadcast01001111.10100111.01111111.1111111179.167.127.255
Split into smaller subnets/27

79.167.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.167.0.0/2779.167.0.1 to 79.167.0.3079.167.0.3130
279.167.0.32/2779.167.0.33 to 79.167.0.6279.167.0.6330
379.167.0.64/2779.167.0.65 to 79.167.0.9479.167.0.9530
479.167.0.96/2779.167.0.97 to 79.167.0.12679.167.0.12730
579.167.0.128/2779.167.0.129 to 79.167.0.15879.167.0.15930
679.167.0.160/2779.167.0.161 to 79.167.0.19079.167.0.19130
779.167.0.192/2779.167.0.193 to 79.167.0.22279.167.0.22330
879.167.0.224/2779.167.0.225 to 79.167.0.25479.167.0.25530
979.167.1.0/2779.167.1.1 to 79.167.1.3079.167.1.3130
1079.167.1.32/2779.167.1.33 to 79.167.1.6279.167.1.6330
1179.167.1.64/2779.167.1.65 to 79.167.1.9479.167.1.9530
1279.167.1.96/2779.167.1.97 to 79.167.1.12679.167.1.12730
1379.167.1.128/2779.167.1.129 to 79.167.1.15879.167.1.15930
1479.167.1.160/2779.167.1.161 to 79.167.1.19079.167.1.19130
1579.167.1.192/2779.167.1.193 to 79.167.1.22279.167.1.22330
1679.167.1.224/2779.167.1.225 to 79.167.1.25479.167.1.25530
1779.167.2.0/2779.167.2.1 to 79.167.2.3079.167.2.3130
1879.167.2.32/2779.167.2.33 to 79.167.2.6279.167.2.6330
1979.167.2.64/2779.167.2.65 to 79.167.2.9479.167.2.9530
2079.167.2.96/2779.167.2.97 to 79.167.2.12679.167.2.12730
2179.167.2.128/2779.167.2.129 to 79.167.2.15879.167.2.15930
2279.167.2.160/2779.167.2.161 to 79.167.2.19079.167.2.19130
2379.167.2.192/2779.167.2.193 to 79.167.2.22279.167.2.22330
2479.167.2.224/2779.167.2.225 to 79.167.2.25479.167.2.25530
2579.167.3.0/2779.167.3.1 to 79.167.3.3079.167.3.3130
2679.167.3.32/2779.167.3.33 to 79.167.3.6279.167.3.6330
2779.167.3.64/2779.167.3.65 to 79.167.3.9479.167.3.9530
2879.167.3.96/2779.167.3.97 to 79.167.3.12679.167.3.12730
2979.167.3.128/2779.167.3.129 to 79.167.3.15879.167.3.15930
3079.167.3.160/2779.167.3.161 to 79.167.3.19079.167.3.19130
3179.167.3.192/2779.167.3.193 to 79.167.3.22279.167.3.22330
3279.167.3.224/2779.167.3.225 to 79.167.3.25479.167.3.25530
3379.167.4.0/2779.167.4.1 to 79.167.4.3079.167.4.3130
3479.167.4.32/2779.167.4.33 to 79.167.4.6279.167.4.6330
3579.167.4.64/2779.167.4.65 to 79.167.4.9479.167.4.9530
3679.167.4.96/2779.167.4.97 to 79.167.4.12679.167.4.12730
3779.167.4.128/2779.167.4.129 to 79.167.4.15879.167.4.15930
3879.167.4.160/2779.167.4.161 to 79.167.4.19079.167.4.19130
3979.167.4.192/2779.167.4.193 to 79.167.4.22279.167.4.22330
4079.167.4.224/2779.167.4.225 to 79.167.4.25479.167.4.25530
4179.167.5.0/2779.167.5.1 to 79.167.5.3079.167.5.3130
4279.167.5.32/2779.167.5.33 to 79.167.5.6279.167.5.6330
4379.167.5.64/2779.167.5.65 to 79.167.5.9479.167.5.9530
4479.167.5.96/2779.167.5.97 to 79.167.5.12679.167.5.12730
4579.167.5.128/2779.167.5.129 to 79.167.5.15879.167.5.15930
4679.167.5.160/2779.167.5.161 to 79.167.5.19079.167.5.19130
4779.167.5.192/2779.167.5.193 to 79.167.5.22279.167.5.22330
4879.167.5.224/2779.167.5.225 to 79.167.5.25479.167.5.25530
4979.167.6.0/2779.167.6.1 to 79.167.6.3079.167.6.3130
5079.167.6.32/2779.167.6.33 to 79.167.6.6279.167.6.6330
5179.167.6.64/2779.167.6.65 to 79.167.6.9479.167.6.9530
5279.167.6.96/2779.167.6.97 to 79.167.6.12679.167.6.12730
5379.167.6.128/2779.167.6.129 to 79.167.6.15879.167.6.15930
5479.167.6.160/2779.167.6.161 to 79.167.6.19079.167.6.19130
5579.167.6.192/2779.167.6.193 to 79.167.6.22279.167.6.22330
5679.167.6.224/2779.167.6.225 to 79.167.6.25479.167.6.25530
5779.167.7.0/2779.167.7.1 to 79.167.7.3079.167.7.3130
5879.167.7.32/2779.167.7.33 to 79.167.7.6279.167.7.6330
5979.167.7.64/2779.167.7.65 to 79.167.7.9479.167.7.9530
6079.167.7.96/2779.167.7.97 to 79.167.7.12679.167.7.12730
6179.167.7.128/2779.167.7.129 to 79.167.7.15879.167.7.15930
6279.167.7.160/2779.167.7.161 to 79.167.7.19079.167.7.19130
6379.167.7.192/2779.167.7.193 to 79.167.7.22279.167.7.22330
6479.167.7.224/2779.167.7.225 to 79.167.7.25479.167.7.25530
6579.167.8.0/2779.167.8.1 to 79.167.8.3079.167.8.3130
6679.167.8.32/2779.167.8.33 to 79.167.8.6279.167.8.6330
6779.167.8.64/2779.167.8.65 to 79.167.8.9479.167.8.9530
6879.167.8.96/2779.167.8.97 to 79.167.8.12679.167.8.12730
6979.167.8.128/2779.167.8.129 to 79.167.8.15879.167.8.15930
7079.167.8.160/2779.167.8.161 to 79.167.8.19079.167.8.19130
7179.167.8.192/2779.167.8.193 to 79.167.8.22279.167.8.22330
7279.167.8.224/2779.167.8.225 to 79.167.8.25479.167.8.25530
7379.167.9.0/2779.167.9.1 to 79.167.9.3079.167.9.3130
7479.167.9.32/2779.167.9.33 to 79.167.9.6279.167.9.6330
7579.167.9.64/2779.167.9.65 to 79.167.9.9479.167.9.9530
7679.167.9.96/2779.167.9.97 to 79.167.9.12679.167.9.12730
7779.167.9.128/2779.167.9.129 to 79.167.9.15879.167.9.15930
7879.167.9.160/2779.167.9.161 to 79.167.9.19079.167.9.19130
7979.167.9.192/2779.167.9.193 to 79.167.9.22279.167.9.22330
8079.167.9.224/2779.167.9.225 to 79.167.9.25479.167.9.25530
8179.167.10.0/2779.167.10.1 to 79.167.10.3079.167.10.3130
8279.167.10.32/2779.167.10.33 to 79.167.10.6279.167.10.6330
8379.167.10.64/2779.167.10.65 to 79.167.10.9479.167.10.9530
8479.167.10.96/2779.167.10.97 to 79.167.10.12679.167.10.12730
8579.167.10.128/2779.167.10.129 to 79.167.10.15879.167.10.15930
8679.167.10.160/2779.167.10.161 to 79.167.10.19079.167.10.19130
8779.167.10.192/2779.167.10.193 to 79.167.10.22279.167.10.22330
8879.167.10.224/2779.167.10.225 to 79.167.10.25479.167.10.25530
8979.167.11.0/2779.167.11.1 to 79.167.11.3079.167.11.3130
9079.167.11.32/2779.167.11.33 to 79.167.11.6279.167.11.6330
9179.167.11.64/2779.167.11.65 to 79.167.11.9479.167.11.9530
9279.167.11.96/2779.167.11.97 to 79.167.11.12679.167.11.12730
9379.167.11.128/2779.167.11.129 to 79.167.11.15879.167.11.15930
9479.167.11.160/2779.167.11.161 to 79.167.11.19079.167.11.19130
9579.167.11.192/2779.167.11.193 to 79.167.11.22279.167.11.22330
9679.167.11.224/2779.167.11.225 to 79.167.11.25479.167.11.25530
9779.167.12.0/2779.167.12.1 to 79.167.12.3079.167.12.3130
9879.167.12.32/2779.167.12.33 to 79.167.12.6279.167.12.6330
9979.167.12.64/2779.167.12.65 to 79.167.12.9479.167.12.9530
10079.167.12.96/2779.167.12.97 to 79.167.12.12679.167.12.12730
10179.167.12.128/2779.167.12.129 to 79.167.12.15879.167.12.15930
10279.167.12.160/2779.167.12.161 to 79.167.12.19079.167.12.19130
10379.167.12.192/2779.167.12.193 to 79.167.12.22279.167.12.22330
10479.167.12.224/2779.167.12.225 to 79.167.12.25479.167.12.25530
10579.167.13.0/2779.167.13.1 to 79.167.13.3079.167.13.3130
10679.167.13.32/2779.167.13.33 to 79.167.13.6279.167.13.6330
10779.167.13.64/2779.167.13.65 to 79.167.13.9479.167.13.9530
10879.167.13.96/2779.167.13.97 to 79.167.13.12679.167.13.12730
10979.167.13.128/2779.167.13.129 to 79.167.13.15879.167.13.15930
11079.167.13.160/2779.167.13.161 to 79.167.13.19079.167.13.19130
11179.167.13.192/2779.167.13.193 to 79.167.13.22279.167.13.22330
11279.167.13.224/2779.167.13.225 to 79.167.13.25479.167.13.25530
11379.167.14.0/2779.167.14.1 to 79.167.14.3079.167.14.3130
11479.167.14.32/2779.167.14.33 to 79.167.14.6279.167.14.6330
11579.167.14.64/2779.167.14.65 to 79.167.14.9479.167.14.9530
11679.167.14.96/2779.167.14.97 to 79.167.14.12679.167.14.12730
11779.167.14.128/2779.167.14.129 to 79.167.14.15879.167.14.15930
11879.167.14.160/2779.167.14.161 to 79.167.14.19079.167.14.19130
11979.167.14.192/2779.167.14.193 to 79.167.14.22279.167.14.22330
12079.167.14.224/2779.167.14.225 to 79.167.14.25479.167.14.25530
12179.167.15.0/2779.167.15.1 to 79.167.15.3079.167.15.3130
12279.167.15.32/2779.167.15.33 to 79.167.15.6279.167.15.6330
12379.167.15.64/2779.167.15.65 to 79.167.15.9479.167.15.9530
12479.167.15.96/2779.167.15.97 to 79.167.15.12679.167.15.12730
12579.167.15.128/2779.167.15.129 to 79.167.15.15879.167.15.15930
12679.167.15.160/2779.167.15.161 to 79.167.15.19079.167.15.19130
12779.167.15.192/2779.167.15.193 to 79.167.15.22279.167.15.22330
12879.167.15.224/2779.167.15.225 to 79.167.15.25479.167.15.25530
12979.167.16.0/2779.167.16.1 to 79.167.16.3079.167.16.3130
13079.167.16.32/2779.167.16.33 to 79.167.16.6279.167.16.6330
13179.167.16.64/2779.167.16.65 to 79.167.16.9479.167.16.9530
13279.167.16.96/2779.167.16.97 to 79.167.16.12679.167.16.12730
13379.167.16.128/2779.167.16.129 to 79.167.16.15879.167.16.15930
13479.167.16.160/2779.167.16.161 to 79.167.16.19079.167.16.19130
13579.167.16.192/2779.167.16.193 to 79.167.16.22279.167.16.22330
13679.167.16.224/2779.167.16.225 to 79.167.16.25479.167.16.25530
13779.167.17.0/2779.167.17.1 to 79.167.17.3079.167.17.3130
13879.167.17.32/2779.167.17.33 to 79.167.17.6279.167.17.6330
13979.167.17.64/2779.167.17.65 to 79.167.17.9479.167.17.9530
14079.167.17.96/2779.167.17.97 to 79.167.17.12679.167.17.12730
14179.167.17.128/2779.167.17.129 to 79.167.17.15879.167.17.15930
14279.167.17.160/2779.167.17.161 to 79.167.17.19079.167.17.19130
14379.167.17.192/2779.167.17.193 to 79.167.17.22279.167.17.22330
14479.167.17.224/2779.167.17.225 to 79.167.17.25479.167.17.25530
14579.167.18.0/2779.167.18.1 to 79.167.18.3079.167.18.3130
14679.167.18.32/2779.167.18.33 to 79.167.18.6279.167.18.6330
14779.167.18.64/2779.167.18.65 to 79.167.18.9479.167.18.9530
14879.167.18.96/2779.167.18.97 to 79.167.18.12679.167.18.12730
14979.167.18.128/2779.167.18.129 to 79.167.18.15879.167.18.15930
15079.167.18.160/2779.167.18.161 to 79.167.18.19079.167.18.19130
15179.167.18.192/2779.167.18.193 to 79.167.18.22279.167.18.22330
15279.167.18.224/2779.167.18.225 to 79.167.18.25479.167.18.25530
15379.167.19.0/2779.167.19.1 to 79.167.19.3079.167.19.3130
15479.167.19.32/2779.167.19.33 to 79.167.19.6279.167.19.6330
15579.167.19.64/2779.167.19.65 to 79.167.19.9479.167.19.9530
15679.167.19.96/2779.167.19.97 to 79.167.19.12679.167.19.12730
15779.167.19.128/2779.167.19.129 to 79.167.19.15879.167.19.15930
15879.167.19.160/2779.167.19.161 to 79.167.19.19079.167.19.19130
15979.167.19.192/2779.167.19.193 to 79.167.19.22279.167.19.22330
16079.167.19.224/2779.167.19.225 to 79.167.19.25479.167.19.25530
16179.167.20.0/2779.167.20.1 to 79.167.20.3079.167.20.3130
16279.167.20.32/2779.167.20.33 to 79.167.20.6279.167.20.6330
16379.167.20.64/2779.167.20.65 to 79.167.20.9479.167.20.9530
16479.167.20.96/2779.167.20.97 to 79.167.20.12679.167.20.12730
16579.167.20.128/2779.167.20.129 to 79.167.20.15879.167.20.15930
16679.167.20.160/2779.167.20.161 to 79.167.20.19079.167.20.19130
16779.167.20.192/2779.167.20.193 to 79.167.20.22279.167.20.22330
16879.167.20.224/2779.167.20.225 to 79.167.20.25479.167.20.25530
16979.167.21.0/2779.167.21.1 to 79.167.21.3079.167.21.3130
17079.167.21.32/2779.167.21.33 to 79.167.21.6279.167.21.6330
17179.167.21.64/2779.167.21.65 to 79.167.21.9479.167.21.9530
17279.167.21.96/2779.167.21.97 to 79.167.21.12679.167.21.12730
17379.167.21.128/2779.167.21.129 to 79.167.21.15879.167.21.15930
17479.167.21.160/2779.167.21.161 to 79.167.21.19079.167.21.19130
17579.167.21.192/2779.167.21.193 to 79.167.21.22279.167.21.22330
17679.167.21.224/2779.167.21.225 to 79.167.21.25479.167.21.25530
17779.167.22.0/2779.167.22.1 to 79.167.22.3079.167.22.3130
17879.167.22.32/2779.167.22.33 to 79.167.22.6279.167.22.6330
17979.167.22.64/2779.167.22.65 to 79.167.22.9479.167.22.9530
18079.167.22.96/2779.167.22.97 to 79.167.22.12679.167.22.12730
18179.167.22.128/2779.167.22.129 to 79.167.22.15879.167.22.15930
18279.167.22.160/2779.167.22.161 to 79.167.22.19079.167.22.19130
18379.167.22.192/2779.167.22.193 to 79.167.22.22279.167.22.22330
18479.167.22.224/2779.167.22.225 to 79.167.22.25479.167.22.25530
18579.167.23.0/2779.167.23.1 to 79.167.23.3079.167.23.3130
18679.167.23.32/2779.167.23.33 to 79.167.23.6279.167.23.6330
18779.167.23.64/2779.167.23.65 to 79.167.23.9479.167.23.9530
18879.167.23.96/2779.167.23.97 to 79.167.23.12679.167.23.12730
18979.167.23.128/2779.167.23.129 to 79.167.23.15879.167.23.15930
19079.167.23.160/2779.167.23.161 to 79.167.23.19079.167.23.19130
19179.167.23.192/2779.167.23.193 to 79.167.23.22279.167.23.22330
19279.167.23.224/2779.167.23.225 to 79.167.23.25479.167.23.25530
19379.167.24.0/2779.167.24.1 to 79.167.24.3079.167.24.3130
19479.167.24.32/2779.167.24.33 to 79.167.24.6279.167.24.6330
19579.167.24.64/2779.167.24.65 to 79.167.24.9479.167.24.9530
19679.167.24.96/2779.167.24.97 to 79.167.24.12679.167.24.12730
19779.167.24.128/2779.167.24.129 to 79.167.24.15879.167.24.15930
19879.167.24.160/2779.167.24.161 to 79.167.24.19079.167.24.19130
19979.167.24.192/2779.167.24.193 to 79.167.24.22279.167.24.22330
20079.167.24.224/2779.167.24.225 to 79.167.24.25479.167.24.25530
20179.167.25.0/2779.167.25.1 to 79.167.25.3079.167.25.3130
20279.167.25.32/2779.167.25.33 to 79.167.25.6279.167.25.6330
20379.167.25.64/2779.167.25.65 to 79.167.25.9479.167.25.9530
20479.167.25.96/2779.167.25.97 to 79.167.25.12679.167.25.12730
20579.167.25.128/2779.167.25.129 to 79.167.25.15879.167.25.15930
20679.167.25.160/2779.167.25.161 to 79.167.25.19079.167.25.19130
20779.167.25.192/2779.167.25.193 to 79.167.25.22279.167.25.22330
20879.167.25.224/2779.167.25.225 to 79.167.25.25479.167.25.25530
20979.167.26.0/2779.167.26.1 to 79.167.26.3079.167.26.3130
21079.167.26.32/2779.167.26.33 to 79.167.26.6279.167.26.6330
21179.167.26.64/2779.167.26.65 to 79.167.26.9479.167.26.9530
21279.167.26.96/2779.167.26.97 to 79.167.26.12679.167.26.12730
21379.167.26.128/2779.167.26.129 to 79.167.26.15879.167.26.15930
21479.167.26.160/2779.167.26.161 to 79.167.26.19079.167.26.19130
21579.167.26.192/2779.167.26.193 to 79.167.26.22279.167.26.22330
21679.167.26.224/2779.167.26.225 to 79.167.26.25479.167.26.25530
21779.167.27.0/2779.167.27.1 to 79.167.27.3079.167.27.3130
21879.167.27.32/2779.167.27.33 to 79.167.27.6279.167.27.6330
21979.167.27.64/2779.167.27.65 to 79.167.27.9479.167.27.9530
22079.167.27.96/2779.167.27.97 to 79.167.27.12679.167.27.12730
22179.167.27.128/2779.167.27.129 to 79.167.27.15879.167.27.15930
22279.167.27.160/2779.167.27.161 to 79.167.27.19079.167.27.19130
22379.167.27.192/2779.167.27.193 to 79.167.27.22279.167.27.22330
22479.167.27.224/2779.167.27.225 to 79.167.27.25479.167.27.25530
22579.167.28.0/2779.167.28.1 to 79.167.28.3079.167.28.3130
22679.167.28.32/2779.167.28.33 to 79.167.28.6279.167.28.6330
22779.167.28.64/2779.167.28.65 to 79.167.28.9479.167.28.9530
22879.167.28.96/2779.167.28.97 to 79.167.28.12679.167.28.12730
22979.167.28.128/2779.167.28.129 to 79.167.28.15879.167.28.15930
23079.167.28.160/2779.167.28.161 to 79.167.28.19079.167.28.19130
23179.167.28.192/2779.167.28.193 to 79.167.28.22279.167.28.22330
23279.167.28.224/2779.167.28.225 to 79.167.28.25479.167.28.25530
23379.167.29.0/2779.167.29.1 to 79.167.29.3079.167.29.3130
23479.167.29.32/2779.167.29.33 to 79.167.29.6279.167.29.6330
23579.167.29.64/2779.167.29.65 to 79.167.29.9479.167.29.9530
23679.167.29.96/2779.167.29.97 to 79.167.29.12679.167.29.12730
23779.167.29.128/2779.167.29.129 to 79.167.29.15879.167.29.15930
23879.167.29.160/2779.167.29.161 to 79.167.29.19079.167.29.19130
23979.167.29.192/2779.167.29.193 to 79.167.29.22279.167.29.22330
24079.167.29.224/2779.167.29.225 to 79.167.29.25479.167.29.25530
24179.167.30.0/2779.167.30.1 to 79.167.30.3079.167.30.3130
24279.167.30.32/2779.167.30.33 to 79.167.30.6279.167.30.6330
24379.167.30.64/2779.167.30.65 to 79.167.30.9479.167.30.9530
24479.167.30.96/2779.167.30.97 to 79.167.30.12679.167.30.12730
24579.167.30.128/2779.167.30.129 to 79.167.30.15879.167.30.15930
24679.167.30.160/2779.167.30.161 to 79.167.30.19079.167.30.19130
24779.167.30.192/2779.167.30.193 to 79.167.30.22279.167.30.22330
24879.167.30.224/2779.167.30.225 to 79.167.30.25479.167.30.25530
24979.167.31.0/2779.167.31.1 to 79.167.31.3079.167.31.3130
25079.167.31.32/2779.167.31.33 to 79.167.31.6279.167.31.6330
25179.167.31.64/2779.167.31.65 to 79.167.31.9479.167.31.9530
25279.167.31.96/2779.167.31.97 to 79.167.31.12679.167.31.12730
25379.167.31.128/2779.167.31.129 to 79.167.31.15879.167.31.15930
25479.167.31.160/2779.167.31.161 to 79.167.31.19079.167.31.19130
25579.167.31.192/2779.167.31.193 to 79.167.31.22279.167.31.22330
25679.167.31.224/2779.167.31.225 to 79.167.31.25479.167.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses